/*****************************************************************************/
/*                                                                           */
/* UNIT: NTL0_strsave  (Level 0 library routine)                             */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    27 JUN 94   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure copies the given string into new space it allocates (of the   */
/* exact size of the string) and returns pointer to the allocated copy; if   */
/* it receives no string (NULL), it returns NULL. Allocation is done by the  */
/* "safe allocation" utility and terminates the program if there is no more  */
/* memory for the new string                                                 */
/*                                                                           */
/*****************************************************************************/


#include <string.h>
#include "ntl0.h"


/*****************************************************************************/

char *NTL0_strsave (char *original)
{
 char *new_copy;

 if (original == NULL) return NULL;
 else {
  new_copy = NTL0_ckalloc ((long int) (strlen (original) + 1)); /* Hold '\0' */
  strcpy (new_copy, original); return new_copy;
 }
}

