/*****************************************************************************/
/*                                                                           */
/* UNIT: NTL1_Destroy_Label  (Level 1 library routine)                       */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    19 JUL 94   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure releases all memory space occupied by a list representing a   */
/* label; returns NULL as the proper new value for the head of the released  */
/* list of label parts                                                       */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include "ntl1.h"


/*****************************************************************************/

label_ptr NTL1_Destroy_Label (label_ptr label)
{
 label_ptr current, old;

 current = label; while (current != NULL) {
  old = current; current = current -> next;
  if (old -> text != NULL) free (old -> text);
  if (old -> font_name != NULL) free (old -> font_name);
  free (old);
 }
 return NULL;
}

