/*****************************************************************************/
/*                                                                           */
/* UNIT: NTL1_Destroy_Motif  (Level 1 library routine)                       */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    31 JUL 94   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure releases all memory space occupied by a motif structure (with */
/* all its "attached" structures; returns NULL as the proper new value for   */
/* the released record (pointer)                                             */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include "ntl1.h"


/*****************************************************************************/

motif_ptr NTL1_Destroy_Motif (motif_ptr motif)
{
 if (motif -> name != NULL) free (motif -> name);
 if (motif -> originating != NULL) free (motif -> originating);
 if (motif -> bind_factor != NULL) free (motif -> bind_factor);
 if (motif -> site_name != NULL) free (motif -> site_name);
 if (motif -> text != NULL) free (motif -> text);
 if (motif -> coded != NULL) free (motif -> coded);
 if (motif -> inverted != NULL) free (motif -> inverted);
 if (motif -> style != NULL) free (motif -> style);
 if (motif -> label != NULL)
                        motif -> label = NTL1_Destroy_Label (motif -> label);
 if (motif -> at_seq != NULL) free (motif -> at_seq);
 if (motif -> reference != NULL) free (motif -> reference);
 free (motif);
 return NULL;
}

