/*****************************************************************************/
/*                                                                           */
/* UNIT: NTL1_Destroy_TFDfile  (Level 1 library routine)                     */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    22 JUL 94   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure releases all memory space occupied by a list of motifs        */
/* loaded from the Transcription Factor Database file; returns NULL as the   */
/* proper new value for the destroyed list head pointer                      */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include "ntl1.h"


/*****************************************************************************/

tfd_ptr NTL1_Destroy_TFDlist (tfd_ptr motif_list)
{
 tfd_ptr current, scan;

 scan = motif_list; while (scan != NULL) {
  current = scan; scan = scan -> next; /*********/
 }
 return NULL;
}

