/*****************************************************************************/
/*                                                                           */
/* UNIT: ntl2  (Level 2 library include file)                                */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    29 JUN 94   Version 1.0                                      */
/*              07 MAY 96   Version 1.1                                      */
/*                                                                           */
/*****************************************************************************/


#define NTL2                       2


#ifndef NTL1
#include "ntl1.h"
#endif


/* Definitions of constants used or defined by level 2 utility functions     */



/* Type definitions for all types used by level 2 utility functions          */



/* Prototypes of all routines contained in the level2 library                */


errind NTL2_Assemble_String (FILE **in_file, char first, char **result);
errind NTL2_Load_Origins (char *file_name, orgref_ptr *origins);
errind NTL2_Load_Enzymes (char *file_name, enzyme_ptr *enzymes);
errind NTL2_Load_Landmarks (char *file_name, landmark_ptr *landmarks);
errind NTL2_Load_Conserved (char *file_name, conserved_ptr *conserved);
errind NTL2_Load_AlignFile (char *file_name, header_ptr *file_data);
errind NTL2_Load_Sequence (char *file_name, long int from, long int to,
                           char **into);
errind NTL2_Load_TFDfile (char *file_name, tfd_ptr *motifs);
errind NTL2_Load_WinFile (char *file_name, win_ptr *motifs);
errind NTL2_Load_IMDfile (char *file_name, int *Indices, double *Frequences,
                          imd_ptr *motifs);
errind NTL2_Load_Plain (char *file_name, plain_ptr *records);
errind NTL2_Get_Alphabet (int *Indices, double *Frequences);
errind NTL2_Read_TFDreferences (char *file_name, int number,
                                char **selections, char **details);
errind NTL2_Read_IMDreferences (char *file_name, int number,
                                char **selections, char **details);
errind NTL2_Read_TRANSFAC_References (char *file_name, int number,
                                      char **selections, strlist_ptr *details);
errind NTL2_Unpack_Alignment (int number, header_ptr file_info,
                              align_ptr packed_info, strlist_ptr seq_paths,
                              unpacked_ptr *expanded);
errind NTL2_Get_Alignment_Copy (char *file_name, strlist_ptr search_paths,
                                int number, char *pivot_seq, long int from,
                                long int to, restricted_ptr *alignment);

int addpath(const char* path);
FILE* path_fopen(const char* path, const char* mode);
